This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 521695 - (CVE-2009-3079) CVE-2009-3079 Firefox 3.5.3 3.0.14 Chrome privilege escalation with FeedWriter
CVE-2009-3079 Firefox 3.5.3 3.0.14 Chrome privilege escalation with FeedWriter
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
impact=critical,source=mozilla,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-07 14:10 EDT by Josh Bressers
Modified: 2010-04-08 16:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-08 16:15:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-09-07 14:10:26 EDT
Mozilla security researcher moz_bug_r_a4 reported that the
BrowserFeedWriter could be leveraged to run JavaScript code from web
content with elevated privileges. Using this vulnerability, an attacker
could construct an object containing malicious JavaScript and cause the
FeedWriter to process the object, running the malicious code with chrome
privileges.

Thunderbird does not support the BrowserFeedWriter object and is not
vulnerable in its default configuration. Thunderbird might be vulnerable if
the user has installed any add-on which adds a similarly implemented
feature and then enables JavaScript in mail messages. This is not the
default setting and we strongly discourage users from running JavaScript in
mail.
Comment 1 errata-xmlrpc 2009-09-09 19:27:51 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1430 https://rhn.redhat.com/errata/RHSA-2009-1430.html
Comment 2 Fedora Update System 2009-09-11 19:27:00 EDT
epiphany-extensions-2.24.3-5.fc10, epiphany-2.24.3-10.fc10, Miro-2.0.5-4.fc10, ruby-gnome2-0.19.1-2.fc10, blam-1.8.5-14.fc10, evolution-rss-0.1.4-3.fc10, gecko-sharp2-0.13-12.fc10, gnome-web-photo-0.3-22.fc10, gnome-python2-extras-2.19.1-34.fc10, kazehakase-0.5.6-4.fc10.6, mozvoikko-0.9.5-14.fc10, google-gadgets-0.10.5-10.fc10, pcmanx-gtk2-0.3.8-13.fc10, mugshot-1.2.2-13.fc10, yelp-2.24.0-13.fc10, perl-Gtk2-MozEmbed-0.08-6.fc10.5, firefox-3.0.14-1.fc10, xulrunner-1.9.0.14-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2009-09-11 19:32:21 EDT
eclipse-3.4.2-15.fc11, epiphany-extensions-2.26.1-6.fc11, monodevelop-2.0-5.fc11, seahorse-plugins-2.26.2-5.fc11, epiphany-2.26.3-4.fc11, blam-1.8.5-14.fc11, chmsee-1.0.1-11.fc11, pcmanx-gtk2-0.3.8-8.fc11, gnome-web-photo-0.7-6.fc11, galeon-2.0.7-14.fc11, evolution-rss-0.1.4-3.fc11, gnome-python2-extras-2.25.3-7.fc11, hulahop-0.4.9-8.fc11, mozvoikko-0.9.7-0.7.rc1.fc11, google-gadgets-0.11.0-5.fc11, kazehakase-0.5.7-2.fc11, perl-Gtk2-MozEmbed-0.08-6.fc11.5, Miro-2.5.2-4.fc11, yelp-2.26.0-7.fc11, ruby-gnome2-0.19.1-2.fc11, firefox-3.5.3-1.fc11, xulrunner-1.9.1.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.